Prevent creation of recursive models (or provide solution to break out of loops)
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18423

Description

Currently, it is possible to include the model itself into the model workflow thus creating a model which calls itself. Of course this causes

errors.

History

#1 - 2014-03-27 10:41 AM - Victor Olaya

mmm, actually it shouldn't cause error. The modeler is designed to allow nested models. So it's a bug, but the solution is not removing models in the list of

algorithms in the model, but fixing it.

#2 - 2014-03-28 02:35 AM - Anita Graser

Sorry for being unclear :-)

It's great that modeler allows nested models! I just wanted to suggest that it might make sense to check if the user is creating circular references in his

models. If model A calls model A to get to its results, it won't ever stop, or is there a way to break out of such loops?

#3 - 2014-03-28 11:02 AM - Giovanni Manghi

- Subject changed from It's possible to create recursive models to It's possible to stop recursive models?

#4 - 2014-03-28 12:25 PM - Anita Graser

- Subject changed from It's possible to stop recursive models? to Prevent creation of recursive models (or provide solution to break out of loops)

#5 - 2014-10-04 12:16 PM - Giovanni Manghi

- Category deleted (64)

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Project changed from 78 to QGIS Application

#6 - 2014-10-04 12:17 PM - Giovanni Manghi

- Category set to Processing/Modeller

#7 - 2016-01-19 12:41 AM - Victor Olaya

fixed in #a549ded47bf6bfebc050d64502ac3dc8b9e921d6
#8 - 2016-01-19 12:41 AM - Victor Olaya

- Status changed from Open to Closed
